#!/usr1/local/bin/perl5

use strict;
use CGI;

use lib "/www/htdocs/cgi-bin/W3Browse/lib";
use lib "/www/htdocs/cgi-bin/lib";
use lib "/www/htdocs/cgi-bin/lib/heasarc";
use Browse::DBQ;
my @val = `./checkWord`;

my $maxTab = CGI->new()->param("maxtab") || 99999;

chomp(@val);

print "Content-type: text/plain\n\n";
my @tables = split(',', pop(@val));
if (@tables == 0) {
    print "No tables found.\n";
    exit;
}


my @tstr = ();
my @heasarc;
my @vizier;
my $dv;
my $cstr = "";
my $hcount = 0;

foreach my $tab (@tables) {
    if ($tab =~ /\//) {
	push(@vizier, $tab);
    } else {
        push(@heasarc, $tab);
        if ($hcount > 200) {
	    push(@tstr, $cstr);
	    $dv = "";
	    $hcount = 0;
	    $cstr   = "";
	}
        $cstr .= "$dv'$tab'";
	$dv    = ",";
	$hcount += 1;
    }
}

if ($hcount > 0) {
    push(@tstr, $cstr);
}

Browse::DBQ::Registry::init("/www/htdocs/cgi-bin/W3Browse/databases.dat");

my %all = ();
my $count;
foreach my $t (@tstr) {
    
    my $sql   = "select table_name,table_description from zzgen where table_name in ($t)";
    my ($res) = Browse::DBQ::query($sql);
    foreach (@$res) {
        $all{$$_[0]} = $_;
	$count += 1;
    }
}
if ($count == 0) {
    print "No HEASARC tables found.<br>\n";
} else {

    print "<strong> HEASARC tables:</strong> (best match/highest priority tables first)</br><table>";
    my $xCount = 0;
    foreach my $table(@heasarc) {
        my $row = $all{$table};
        my ($table, $desc) = @$row;
	my $bgcolor = "bgcolor='#FFFFAA'";
	if ($xCount >= $maxTab) {
	    $bgcolor = "";
	}
	
	$table =~ s/heasarc_//;
        print <<EOT;
<tr><th align=right $bgcolor><a href="" onClick='return loadInfo("$table")'> $table</a></th><td>$desc</td></tr>
EOT
        $xCount += 1;
	if ($xCount == $maxTab && $xCount < @heasarc) {
	    print "<tr><td colspan=2 align=center> --- Query table limit is currently $maxTab  (use <a href='w3browse-help.html#tableprefix'><b>tables:</b></a> to change) --- </td></tr>\n";
	}
    }
    print "</table>";
}

if (@vizier) {
    print "<p><p><strong>Vizier resources </strong>(resources can contain multiple tables): <br>";
    my $cnt = 0;
    my $dv = "";
    
    print "<div style='background-color:#FFFFAA'>";
    foreach my $table(@vizier) {
    
	if ($cnt % 5 == 0) {
	    print "$dv<br>\n";
	    $dv = ""
	}
	    
	print "$dv<a href='' onclick='return loadInfo(\"".$table."\")'>$table</a>";
        $dv = ", ";
	$cnt += 1;
	if ($cnt == $maxTab) {
	    if ($cnt < @vizier) {
	        print ",";
	    }
	    print "</div>";
	    print " --- Query table limit is currently $maxTab --- <br>";
	    print $dv = "";
	}
    }
    print "<br>\n";
}
