#!/usr1/local/bin/perl5 -T
#=========================================================================#
# High Energy Astrophysics Science Archive Research Center (HEASARC),
# NASA/Goddard Space Flight Center, Greenbelt, MD 20771, USA.
#
# You are free to use this code as you wish, but unless you change
# it significantly, please leave the above name and address intact.
#=========================================================================#
# Module Name:    w3nquery.pl
# Module Author:  Saima Zobair, Raytheon ITSS
# Date:           January, 99
# Project:        Browse : HEASARC
#=========================================================================#
# Module Description:
#=========================================================================#
$0 = 'w3nquery.pl'; # Required for MailMessage - do not remove.

use strict;
use lib './lib';
use Browse::Config;
#--------------------------------------------------------------------------
Browse::Config::AlwaysRun();
#$::debug = 1;
#print Browse::CGI::Header,"w3query: DEBUG<br>\n" if $::debug;
#
my($in) = Browse::CGI::ReadParse();  # Read and parse the query string

if ($in->{'Tables'} =~ /BATCHRETRIEVALCATALOG/) {
  print Browse::CGI::Header,"\n";
  print "BatchStart\n";
  print "BATCH_RETRIEVAL_MSG ERROR: You are using an old version of the ".
        "Browse Batch Interface. Please get the new batch interface ".
        "scripts from: http://legacy.gsfc.nasa.gov/W3Browse/w3batchinfo.html.\n";

} else {
  Browse::Utils::Error("Error: You are using an old version of Browse. Please ".
         "go to <a href=\"http://heasarc.gsfc.nasa.gov/W3Browse\"> ".
         "http://heasarc.gsfc.nasa.gov/W3Browse</a> ".
         "and try again.");
}
1;
#####
#EOF#
#####
