#!/usr1/local/bin/perl5 -T

#=======================================================================#
# High Energy Astrophysics Science Archive Research Center (HEASARC),
# NASA's Goddard Space Flight Center, Greenbelt, MD 20771, USA.
#
# You are free to use this code as you wish, but unless you change
# it significantly, please leave the above name & address intact.
#=======================================================================#
# Module Name:    w3plotfile.pl
# Module Author:  Laura McDonald
# Date:           Oct, 2005
# Project:        Browse : HEASARC
#=======================================================================#
# Module Description:
#  
#  Delete file that holds html for Java plotting plot values
#
#=======================================================================#
use strict;
use lib './lib';

use Browse::Config;
use Browse::CGI;

print "Content-type:text/plain\n\n";

my($in,$input) = Browse::CGI::ReadParse(1);  # Read and parse the query string
my $filename=$in->{plotfile};

sleep 10;   #--- wait just in case file has not been displayed
if (defined($filename)) {
   #-- Untaint and specify path to prevent insecure action
   if ( $filename =~ /^([-\@\w.\/]+)$/) {
      $filename=$1;
      if (-f $filename) {
        $ENV{PATH}="/bin:/usr/bin";
        exec 'rm',  $filename;
        #print "return code from rm command: $!";
      }
   }
}
