#=============================================================================#
# Module Name:    Astro
# Module Author:  Edward J. Sabol
# Creation Date:  1997/05
# Project:        HEASARC :: Astro
#=============================================================================#
# Module Description:
#   Miscellaneous astronomical and/or astrophysics OO routines used by
#   W3Browse, Argus, and other utilities.
#=============================================================================#
#
# $Id: Astro.pm,v 1.6 2004/03/16 04:19:46 sabol Exp $
# $Log: Astro.pm,v $
# Revision 1.6  2004/03/16 04:19:46  sabol
# Added $VERSION.
#
# Revision 1.5  2003/02/03 20:55:40  sabol
# Updated comments style.
#
# Revision 1.4  2001/05/11 20:51:19  sabol
# Minor change to comment header.
#
# Revision 1.3  2001/05/10 21:47:23  sabol
# Imported into HEASARC CVS archive.
#
# Revision 1.2  1998/06/16 15:47:27  sabol
# Now uses Astro::Config.
#
# Revision 1.1  1998/06/09 18:35:25  sabol
# Updated comments.
#
# Revision 1.0  1997/05/01 15:28:04  sabol
# Initial release.
#
#=============================================================================#
# High Energy Astrophysics Science Archive Research Center (HEASARC),
# NASA's Goddard Space Flight Center, Greenbelt, MD 20771, USA.
#
# You are free to use this code as you wish, but unless you change
# it significantly, please leave the above name and address intact.
#=============================================================================#

use Astro::Config;
use Astro::CoordSys;
use Astro::Object;
use Astro::Object::Resolver;

$Astro::VERSION = '1.0.6';
#------------------------------------------------------------------------------
#########
#  EOF  #
#########
1;
