###############################################################################
#
# MODULE: HDB::Config.pm
#
#  AUTHOR: Edward J. Sabol <sabol@alderaan.gsfc.nasa.gov>
# CREATED: 1998/08/12
#
# DESCRIPTION: Centralized configuration of the HDBHOST environment variable
#  used by HDBmc and friends.
#
# VERSION: $Id: Config.pm,v 1.1 2001/06/25 19:03:24 sabol Exp $
#
# HISTORY:
# $Log: Config.pm,v $
# Revision 1.1  2001/06/25 19:03:24  sabol
# Imported into HEASARC CVS repository.
#
# Revision 1.0  1998/08/12 17:04:32  sabol
# Created HDB::Config.pm.
#
###############################################################################

package HDB::Config;

use strict;

BEGIN {
    $ENV{'HDBHOST'} = 'dbms1.gsfc.nasa.gov';
#     $ENV{'HDBHOST'} = 'dbms2.gsfc.nasa.gov';
}
#------------------------------------------------------------------------------
1;
